Thursday, 17 January 2008

080117_Vertical Proliferation






















The code consists in a vertical extrusion of planar closed curves; each curve rotates a certain degree every level; the coordinates of the control points defining each curve are variable; some are also following a path determined by a sine function.
We are currently looking into some improvement of this -rather simple- algorhythm. More soon.




































close-up view of the floor plates articulation.
























Option Explicit

Call Main()
Sub Main()

Dim N

N = Rhino.GetInteger ("Number", 25, 1 )

Dim a,b,c,d,s
Dim curve

Dim i
For i= 0 To N
a = array(-1,-1,i)
b = array(+1,-1,i)
s = 5*sin(0.25*i)+6
c = array(s,s,i)
d = array(-1,+1,i)

Curve= Rhino.AddPolyline(array(a,b,c,d,a))

Call Rhino.RotateObject (Curve, b, i*5)



Next

End Sub






















In collaboration with eng. Carlo Diaco (openSystems)

No comments: